Bug 496383 - Booting/Default system doesn't start; Bootsplash graphical problem
Booting/Default system doesn't start; Bootsplash graphical problem
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-18 09:15 EDT by Martin Kaeser
Modified: 2010-06-28 07:54 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:54:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kaeser 2009-04-18 09:15:55 EDT
Description of problem:

1) The grub screen with the timeout which when interrupted leads you to choose
which operating system to boot is missing.

2) All I can see is the next page where I have to choose the entries (Fedora, Vista etc.). Otherwise no operating system starts.

--> the default operating system doesn't boot automatically.
--> Grub:

# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,5)
#          kernel /vmlinuz-version ro root=/dev/vg_hp-notebook/lv_root
#          initrd /initrd-version.img
#boot=/dev/sda
default=2
timeout=7
splashimage=(hd0,5)/grub/splash1.xpm.gz
hiddenmenu

title Fedora (2.6.29.1-70.fc11.i586)
	root (hd0,5)
	kernel /vmlinuz-2.6.29.1-70.fc11.i586 ro root=/dev/dm-0 rhgb quiet vga=792
	initrd /initrd-2.6.29.1-70.fc11.i586.img


title Windows Vista
    rootnoverify (hd0,0)
    chainloader +1
title Windows 7
    rootnoverify (hd0,3)
    chainloader +1

This problem exists since an update after the installation of Fedora 11 Alpha.

3) With the last update the second grub screen (splash1.xpm.gz) is hardly readable; it isn't blue; a lot of different colors.
That's why I changed to another splash screen (splash1).

Version-Release number of selected component (if applicable):
All updates, date April 18, 2009

How reproducible:


Steps to Reproduce:
1. Start notebook
2.
3.
  
Actual results:
default system doesn't start automatically
entries on the bootsplash are hardly readable

Expected results:
- default starts after timeout is over
- fedora bootsplash visible

Additional info:
Comment 1 Martin Kaeser 2009-04-18 09:25:17 EDT
The broken grub splash image has been reported:

https://bugzilla.redhat.com/show_bug.cgi?id=496202
Comment 2 Matthias Clasen 2009-04-18 15:55:17 EDT
Plymouth is not involved at this point.
Comment 3 Bug Zapper 2009-06-09 10:04:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-04-27 09:45:40 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 07:54:31 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.